/*
 * Author:          Patrick-Christopher Mattulat
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2022-05-13
 * Changed:         2024-05-25
 *
 * */

#ifndef LS_STD_LS_STD_BOXING_HPP
#define LS_STD_LS_STD_BOXING_HPP

/*
 * @package(name: 'boxing')
 * @boxing.description('This package provides functionalities for wrapping primitive datatypes (boolean, double, float, int, long, string). Wrapping those types would enable a developer to provide string representations, or parsing from strings to convert them back into their primitive forms. Additionally, these boxing types come with a great selection of operators and convenient functions.')
 * */

#include <ls-std/boxing/Boolean.hpp>
#include <ls-std/boxing/Double.hpp>
#include <ls-std/boxing/Float.hpp>
#include <ls-std/boxing/Integer.hpp>
#include <ls-std/boxing/Long.hpp>
#include <ls-std/boxing/String.hpp>

#endif
